//$Id: ConfigurationTest.java 19092 2010-03-23 21:14:04Z stliu $
package org.hibernate.test.annotations.configuration;

import junit.framework.TestCase;

import org.hibernate.cfg.AnnotationConfiguration;

/**
 * @author Emmanuel Bernard
 */
public class ConfigurationTest extends TestCase {
	public void testMixPackageAndResourceOrdering() throws Exception {
		try {
			AnnotationConfiguration config = new AnnotationConfiguration();
			config.addResource( "org/hibernate/test/annotations/configuration/orm.xml" );
			config.addPackage( "org.hibernate.test.annotations.configuration" );
		}
		catch( Exception e ) {
			fail("Processing package first when ORM.xml is used should not fail");
		}
	}
}
